# Historique des versions

## 4.4.2 - 2019-07-30

### Nouvelles fonctionnalités
 * Boutons d'aide sur tous les éléments graphiques ([nghyd#157](https://gitlab.irstea.fr/cassiopee/nghyd/issues/157))
 * Chargement de session: ouverture automatique du premier module nouvellement chargé
 * Touche Tab dans un champ de saisie: le texte est surligné ([nghyd#259](https://gitlab.irstea.fr/cassiopee/nghyd/issues/259))
 * Simplification des fichiers de session
 * Graphique : afficher tous les paramètres d'une même famille simultanément ([nghyd#246](https://gitlab.irstea.fr/cassiopee/nghyd/issues/246))
 * Réorganisation du format des résultats ([jalhyd#128](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/128))
 * Erreur au chargement de session avec lien sur des paramètres calculés ([nghyd#263](https://gitlab.irstea.fr/cassiopee/nghyd/issues/263))
 * Enregistrement de session partielle avec liens tronqués: enregistrer les valeurs courantes des paramètres ([jalhyd#133](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/133))

### Correction de bogues
 * Documentation de la passe à Macrorugosités
 * Enregistrement de session: dédoublonner les messages concernant les dépendances
 * nodeType est lu depuis la Section et plus depuis le Nub parent ([jalhyd#124](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/124))
 * Electron / Cordova : script npm pour mettre à jour les mimetypes dans dist/index.html ([nghyd#258](https://gitlab.irstea.fr/cassiopee/nghyd/issues/258))
 * PAB : traduction
 * Graphiques : ne pas représenter les données de type ENUM ([nghyd#260](https://gitlab.irstea.fr/cassiopee/nghyd/issues/260))
 * Remous : l'itérateur d'abscisses est en retard sur le dessin du graphe ([nghyd#267](https://gitlab.irstea.fr/cassiopee/nghyd/issues/267))


## 4.4.1 - 2019-07-30

### Nouvelles fonctionnalités
 * Passe à bassins : ajouter un accès rapide aux différents panneaux (table, résultats, graphiques...) pour éviter de faire défiler péniblement ([nghyd#237](https://gitlab.irstea.fr/cassiopee/nghyd/issues/237))
 * Passe à bassins : permettre d'ajouter / dupliquer un ouvrage pour plusieurs cloisons à la fois ([nghyd#243](https://gitlab.irstea.fr/cassiopee/nghyd/issues/243))
 * Passe à bassins : ajouter la nature du jet ([nghyd#245](https://gitlab.irstea.fr/cassiopee/nghyd/issues/245))
 * Lois d'ouvrages: Ne pas écraser les valeurs par défaut du coefficient de débit au changement de loi ([nghyd#225](https://gitlab.irstea.fr/cassiopee/nghyd/issues/225))
 * Lois d'ouvrages: Ajouter le type de jet dans les résultats complémentaires des ouvrages ([jalhyd#92](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/92))
 * Amélioration du titre et de l'icône de l'application ([nghyd#257](https://gitlab.irstea.fr/cassiopee/nghyd/issues/257))

### Correction de bogues

 * Ne pas exposer les paramètres de cloisons pour les rendre liables ([nghyd#247](https://gitlab.irstea.fr/cassiopee/nghyd/issues/247), [jalhyd#111](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/111))
 * Passe à macro-rugosités : erreur de calcul ([nghyd#247](https://gitlab.irstea.fr/cassiopee/nghyd/issues/247))
 * Passe à bassins : Le journal de calcul ne s'efface pas quand les données d'entrée changent ([nghyd#241](https://gitlab.irstea.fr/cassiopee/nghyd/issues/241))
 * Courbes de remous : les inputs ne sont plus pris en compte ([nghyd#256](https://gitlab.irstea.fr/cassiopee/nghyd/issues/256))
 * Invalidation de calcul bien qu'absence de lien de résultat ([jalhyd#98](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/98))
 * Lois d'ouvrages: Erreur de calcul des lois de seuil / vanne ([jalhyd#118](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/118))
 * Lechapt-Calmon : le sélecteur de matériaux ne charge plus les coefficients, depuis la 4.4.0a ([nghyd#231](https://gitlab.irstea.fr/cassiopee/nghyd/issues/231))
  * Cloisons: Erreur de calcul de la charge ([jalhyd#127](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/127))
 * Cloisons: Erreur de calcul de la cote de radier si la charge est en calcul ([jalhyd#126](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/126))
 * Passe à macro-rugosité: Écart entre le débit calculé et celui du guide technique ([jalhyd#113](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/113))
 * Passe à macro-rugosité: Erreurs de calcul ([jalhyd#85](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/85))
 * Paramètre varié : le champ d'édition de la liste de valeurs s'affiche mal ([nghyd#244](https://gitlab.irstea.fr/cassiopee/nghyd/issues/244))
 * Paramètres liables : parfois le mat-select est trop étroit et on ne sait pas ce qu'on est en train de choisir ([nghyd#248](https://gitlab.irstea.fr/cassiopee/nghyd/issues/248))

### Mises à jour de dépendances

 * Angular 8.1.2


## 4.4.0 - 2019-07-16 (Basse à Sapins)

### Nouvelles fonctionnalités

 * Module "Passe à bassins"
 * Plusieurs paramètres peuvent varier simultanément
 * Implémentation de la vanne levante
 * Implémentation de la loi de Villemonte sur les seuils triangulaires et triangulaires tronqués
 * Remplacement de la cote de radier par la charge sur les seuils de cloisons
 * Remplacement de la dichotomie par la méthode de Brent
 * Simplification de la loi Kivi pour les cloisons et les PAB
 * Déploiement avec Electron : paquets installables pour Windows 32 bits et Linux (.deb)
 * Déploiement avec Cordova : paquet .apk (non signé) pour Android
 * Zoom sur les graphiques
 * Bouton d'aide dans la barre de navigation, lorsque la session est vide
 * Carte de bienvenue lorsque la session est vide: logos et mentions légales
 * Système de rapport de bugs par email
 * Paramètres liés: affichage de la valeur, icônes d'information
 * Compilation: allègement de la bibliothèque Mathjax embarquée
 * Magnifique icône en SVG
 * Option pour désactiver les notifications à l'écran
 * Nouveaux tests

### Correction de bogues

 * Correction erreur de calcul de ZDV
 * Corrections d'erreurs liées au cycle de vie d'Angular
 * Structures en parallèle: interdiction de supprimer le dernier ouvrage
 * Mode plein écran compatible avec les navigateurs plus anciens
 * Amélioration de la robustesse de l'enregistrement / chargement de session
 * Suppression du lissage sur les graphiques de type "scatter"
 * Nettoyage de code
 * Limitation de la précision numérique à différents endroits

## 4.3.0 - 2019-04-12 (Éditions LLL)

### Nouvelles fonctionnalités

 * Module "Passe à bassin : chute"
 * Module "Passe à bassin : nombre de bassins"
 * Amélioration du filtre de choix des paramètres liables
 * Vérification de la cohérence des paramètres liés au chargement de session
 * Validation et invalidation en cascade des modules de calcul liés
 * Calcul en cascade automatique des modules de calculs liés
 * Transfert de ngHyd vers JaLHyd des mécanismes gérant les états des paramètres des modules de calcul
 * Ajout des tags de version dans le panneau latéral
 * La touche TAB permet de passer directement d'un champ de saisie à un autre
 * Le bouton "+" disparaît sur la page d'accueil

### Correction de bogues

 * Divers bogues autour des paramètres liés
 * Mise à jour intempestive des paramètres calculés dans le formulaire de saisie
 * Précision d'affichage des données dans les infobulles

## 4.2.0 - 2019-03-11

### Nouvelles fonctionnalités

 * titres courts pour les modules, suffixe numérique automatique
 * Lechapt-Calmon : amélioration du sélecteur de matériau
 * affichage des valeurs liées
 * détection de la langue du navigateur
 * mémorisation des paramètres par le navigateur
 * mécanisme de langue de secours pour les modules non traduits
 * paramètres variables : courbe d'évolution
 * graphiques de résultats : choix libre de l'abscisse et de l'ordonnée

### Correction de bogues

 * déplacement de la sérialisation au niveau du modèle (JaLHyd)
 * nouvelle gestion des langues: plus robuste, charge moins de fichiers inutiles, ajout d'un cache
 * meilleure gestion de la session et de la hiérarchie (ouvrages en parallèle / parent)
 * gestion homogène de la touche entrée dans les formulaires : déclenche le calcul
 * la précision Pr est traitée comme un paramètre normal
 * simplification de la gestion des types d'ouvrages
 * désérialisation des ouvrages en parallèle
 * validation des ouvrages en parallèle
 * validation des paramètres variables
 * simplification et suppression de code inutilisé
 * affichage des icônes et polices hors-ligne
 * conservation du type de graphe lorsqu'on change de module
 * ajout de tests exhaustifs sur le calcul des paramètres et le clonage des modules

## 4.1.0 - 2019-02-20

### Nouvelles fonctionnalités

 * interface : angular-material, angular-flex, charte graphique Irstea
 * nouvelle page de liste, modules groupés par thèmes
 * ajout du module Passe à Enrochement
 * bouton pour vider la session
 * bouton pour cloner un module de calcul
 * fichier de configuration JSON, gestion d'une langue par défaut
 * paramètre variable : amélioration des listes de valeurs
 * affichage des graphiques et des tableaux de résultats en plein écran
 * export des graphiques en PNG
 * export des tableaux de résultats vers Excel
 * utilisation de chaînes pour les UID
 * utilisation de routerLink et des fragments d'URL (#)
 * ajout de tests e2e avec Protractor
 * limitation de la précision dans les graphiques

### Correction de bogues

 * redirection des URL invalides vers /list
 * chargement de paramètres liés
 * sauvegarde et chargement des valeurs des paramètres
 * IDs uniques dans les champs de formulaires
 * nettoyage du code (tslint)
 * suppression de code inutilisé
 * renommage et simplification de classes
 * amélioration de la traduction

### Mises à jour de dépendances

 * Angular 7.2
 * Compodoc
 * angular-material
 * angular-flex
 * suppression de MDBootstrap
 * suppression de FontAwesome

## 4.0.0 - 2018-07-23
