# Lois de déversoirs dénoyés

Ce module de calcul est similaire à celui des [Lois d'ouvrages](lois_ouvrages.md) à la différence près qu'il ne simule que des écoulements dénoyés et permet d'affiner le calcul en utilisant la vitesse d'approche dans le bief amont.

Il permet de calculer la relation entre le niveau de l'eau à l'amont d'un déversoir et le débit. Il est
utilisé le plus souvent pour évaluer la relation cote amont-débit au niveau d'un seuil ou d'un ouvrage
évacuateur d'un aménagement. L'ouvrage peut comporter plusieurs niveaux de déversement distincts et des
déversoirs rectangulaires (à cote de déversement horizontale), triangulaires, semi-triangulaires ou encore
triangulaires tronqués.

L'utilisation classique consiste à entrer les niveaux extrêmes (mini/maxi) de la cote de l'eau amont ainsi que le pas de calcul
pour lesquels on désire effectuer les estimations de débit.

Dans le cas où l'on entre les caractéristiques du bief amont, on précise la largeur du bief amont ainsi que la cote du lit, ce qui permet d'évaluer la vitesse d'approche ainsi que l'énergie cinétique amont, exprimée en mètre, et de calculer un facteur correctif à apporter au débit total compte tenu d'une vitesse d'approche non négligeable.

$$ V = \frac{Q}{L \times (Z_1 - Z_{lit})} $$

avec \(V\), la vitesse d'approche, \(Q\) le débit, \(Z_1\) la cote de l'eau à l'amont des ouvrages, \(Z{lit}\) la cote du lit à l'amont.

$$ E_c = \frac{V^2}{2g} $$

avec \(E_c\) l'énergie cinétique amont en mètres, et \(g\) l'accélération de la pesanteur (9.81 m.s<sup>-2</sup>).

Le facteur correctif \(C_v\) dépend du rapport de \(\frac{\sum{A^*}}{A_1}\) où \(A_1\) est la section d'écoulement en amont du déversoir \(L \times (Z_1 - Z_{lit})\) et \(\sum{A^*}\) la somme des aires fictives d'écoulement au niveau des sections de contrôle (les profondeurs correspondent aux charges \(h\) sur les différents déversoirs).

Pour les déversoirs rectangulaires :

$$ A^* = b (Z_1 - Z_d) $$

Pour les déversoirs triangulaires :

$$ A^* = b/2 (Z_1 - Z_d)^2 $$

avec \(b\) la largeur de la lame déversante et \(Z_d\) la cote de la crête du seuil.

Le facteur correctif \(C_v\) est interpolé selon les valeurs du tableau suivant :

| \(\frac{\sum{A^*}}{A_1}\) | 0 | 0.1 | 0.2 | 0.3 | 0.4 |
| :---- | :----: | :----: | :----: | :----: | :----: |
| \(C_v\) | 1.000 | 1.005 | 1.015 | 1.022 | 1.035 |


| \(\frac{\sum{A^*}}{A_1}\) | 0.5 | 0.6 | 0.7 | 0.8 |
| :---- | :----: | :----: | :----: | :----: |
| \(C_v\) | 1.065 | 1.090 | 1.140 | 1.210 |
