import { AppPage } from "./app.po";
import { ListPage } from "./list.po";
import { CalculatorPage } from "./calculator.po";
import { browser } from "protractor";

/**
 * Cloisons - différents tests qui n'ont pas tant de rapport que ça avec les cloisons :)
 */
describe("ngHyd − cloisons", () => {
  let startPage: AppPage;
  let listPage: ListPage;
  let calcPage: CalculatorPage;

  beforeEach(() => {
    startPage = new AppPage();
    listPage = new ListPage();
    calcPage = new CalculatorPage();
  });

  it("when all parent Nub parameters are linked, Structure parameter modes should be alterable without problem", async () => {
    await startPage.navigateTo();

    // 1. create target module for linked parameters
    await listPage.clickMenuEntryForCalcType(10); // Cloisons
    await browser.sleep(300);
    // 2. create module to test
    await calcPage.clickCloneCalcButton();
    await browser.sleep(300);

    // 3. link every parameter except Structure ones
    await calcPage.setParamMode(calcPage.getInputById("calc_Q"), "link");
    await calcPage.setParamMode(calcPage.getInputById("Z1"), "link");
    await calcPage.setParamMode(calcPage.getInputById("LB"), "link");
    await calcPage.setParamMode(calcPage.getInputById("BB"), "link");
    await calcPage.setParamMode(calcPage.getInputById("PB"), "link");
    await calcPage.setParamMode(calcPage.getInputById("DH"), "link");
    await browser.sleep(300);

    // 4. change LoiDebit
    await calcPage.changeSelectValue(calcPage.getSelectById("select_loidebit"), 1);
    await browser.sleep(300);

    // 5. check number of inputs in CALC mode
    expect(await calcPage.getCheckedCalcModeButtons().count()).toBe(1);

    // 6. try calculating the module
    await calcPage.getCalculateButton().click();
    expect(calcPage.hasResults()).toBe(true);
  });
});
